;;; acdw-lisp.el -*- lexical-binding: t; coding: utf-8-unix -*-
;;
;; Extras for Lisp modes.

(defvar lispy-modes '(emacs-lisp-mode
                      eval-expression-minibuffer
                      ielm-mode
                      lisp-mode
                      lisp-interaction-mode
                      scheme-mode
                      slime-repl-mode
                      sly-mrepl-mode)
  "List of modes that are lisp-like enough to hook packages into.")

(defun acdw/eval-region-or-buffer ()
  (interactive)
  (if (region-active-p)
      (let ((begin (region-beginning))
            (end (region-end)))
        (with-message (format "Evaluating %S -> %S" begin end)
          (eval-region begin end)))
    (with-message "Evaluating buffer"
      (eval-buffer))))

(provide 'acdw-lisp)
